#ifndef _DBASE_H
#define _DBASE_H

#define DBASE_NO_OUTPUT_CODE 0
#define DBASE_NAMERESOLVE_CODE 1
#define DBASE_GETFPRTEMPATE_CODE 2

int DBase_Open(char * path);
void DBase_CallbackRegister(void* callback);
int DBase_UserNameResolve(int userID);
int DBase_AttachDaily(char *path);
int DBase_EntryTypeResolve(int userID);
int DBase_LogEntry(int userID,char terminal,char modif);
int DBase_GetFprTemplate(int userID);



#endif
